Start a new topic

Sample app not working on Android studio 3.0.1 (Jacascript SDK)

 As the title says, similar to this issue: https://support.wikitude.com/support/discussions/topics/5000085777


I'll provide the specific steps taken later today.


Alright what i did was:

1. import the SDKSamples project
2. fix the first error:
Error:(28, 0) Cannot set the value of read-only property 'outputFile' for ApkVariantOutputImpl_Decorated{apkData=Main{type=MAIN, fullName=arm8Debug, filters=[]}} of type com.android.build.gradle.internal.api.ApkVariantOutputImpl.
<a href="openFile:C:\tools\wikitude_slam_javascript_SDK_2\Examples\SDKExamples\wikitude-sdk-samples\build.gradle">Open File</a>
and change it to:

 

    applicationVariants.all { variant ->
        variant.outputs.all { output ->
            def outputFile = output.outputFile
            if (outputFile != null && outputFile.name.endsWith('.aar')) {
                def fileName = "${archivesBaseName}-${android.defaultConfig.versionName}.aar"
                outputFileName = fileName
            }
        }
    }

 

Now get a new array of error:

image



3. Now try to fix this by downloading NDK R14B. Downloaded it but still trying to figure out how to install it

 

4. in local.properties (under the gradle scripts) set the ndk.dir variable to:
ndk.dir=C\:\\Users\\xxxxx\\AppData\\Local\\Android\\Sdk\\android-ndk-r14b

 5. click the hammer 2 times, rebuild the project


6. get a new error:

 

Error:Could not determine the dependencies of task ':wikitude-sdk-samples:processAllarchsDebugManifest'.
> Could not resolve all task dependencies for configuration ':wikitude-sdk-samples:allarchsDebugRuntimeClasspath'.
   > Could not resolve project :plugins.
     Required by:
         project :wikitude-sdk-samples
      > Project :wikitude-sdk-samples declares a dependency from configuration 'allarchsCompile' to configuration 'allarchsRelease' which is not declared in the descriptor for project :plugins.

 

 7. I failed to install the R14B NDK, so i switched this line back to:

ndk.dir=C\:\\Users\\xxxxx\\AppData\\Local\\Android\\Sdk\\ndk-bundle

And then reinstall ndk and it automatically installs the 16.1 build.



8. get the same error again as the image i posted:

 

Unable to resolve dependency for ':wikitude-sdk-samples@arm8DebugUnitTest/compileClasspath': Could not resolve project :plugins.

Could not resolve project :plugins.
Required by:
    project :wikitude-sdk-samples
 > Project :wikitude-sdk-samples declares a dependency from configuration 'arm8Compile' to configuration 'arm8Release' which is not declared in the descriptor for project :plugins.

 

 

 Can anyone get the sample app working ?

i'm developing for a company and amongst 2 other candidates we are considering this framework, we won't buy this if the manual doesn't do what it is supposed to do. Also if it doesnt work for the newest release of ARCore 1.0.

 

Hi,


please take a look at this post. It explains the most common issues with setting up he android samples in android studio.


Best regards,

Alex


1 person likes this
Login or Signup to post a comment